package io.prlab.prule;

import io.prlab.prule.entity.AppUser;
import io.prlab.prule.repositories.AppUserRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class PruleApplication implements CommandLineRunner {
	private static final Logger logger =
			LoggerFactory.getLogger(
					PruleApplication.class
			);
	private final AppUserRepository appUserRepository;
	public PruleApplication(AppUserRepository appUserRepository){
		this.appUserRepository = appUserRepository;
	}
	public void run(String... args) throws Exception{
		//AppUser userA = new AppUser("andrewli315", "prlab1234", "admin");
		appUserRepository.save(new AppUser("user",
				"$2a$10$NVM0n8ElaRgg7zWO1CxUdei7vWoPg91Lz2aYavh9.f9q0e4bRadue","USER"));
// Username: admin, password: admin
		appUserRepository.save(new AppUser("admin",
						"$2a$10$8cjz47bjbR4Mn8GMg9IZx.vyjhLXR/SKKMSZ9.mP9vpMu0ssKi8GW", "ADMIN"));
		//appUserRepository.save(userA);

	}
	public static void main(String[] args) {
		SpringApplication.run(PruleApplication.class, args);
	}

}
